AbstractLexer (Groovy 5.0.8)

Package: org.apache.groovy.parser.antlr4

## [Java] Class AbstractLexer

- org.apache.groovy.parser.antlr4.AbstractLexer

- All Implemented Interfaces and Traits:
    SyntaxErrorReportable

      public abstract class AbstractLexer
      extends Lexer
      implements SyntaxErrorReportable

  Because antlr4 does not support generating lexer with specified interface, we have to create a super class for it and implement the interface.

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class Lexer` | `DEFAULT_MODE, MORE, SKIP, DEFAULT_TOKEN_CHANNEL, HIDDEN, MIN_CHAR_VALUE, MAX_CHAR_VALUE, _input, _token, _tokenStartCharIndex, _tokenStartLine, _tokenStartCharPositionInLine, _hitEOF, _channel, _type, _modeStack, _mode, _text, EOF`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `AbstractLexer(CharStream input)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Lexer` | `action, addErrorListener, emit, emit, emitEOF, equals, getATN, getAllTokens, getChannel, getChannelNames, getCharErrorDisplay, getCharIndex, getCharPositionInLine, getClass, getErrorDisplay, getErrorDisplay, getErrorHeader, getErrorListenerDispatch, getErrorListeners, getGrammarFileName, getInputStream, getInputStream, getInterpreter, getLine, getModeNames, getParseInfo, getRuleIndexMap, getRuleNames, getSerializedATN, getSourceName, getState, getText, getToken, getTokenErrorDisplay, getTokenFactory, getTokenNames, getTokenType, getTokenTypeMap, getType, getVocabulary, hashCode, mode, more, nextToken, notify, notifyAll, notifyListeners, popMode, precpred, pushMode, recover, recover, removeErrorListener, removeErrorListeners, reset, sempred, setChannel, setCharPositionInLine, setInputStream, setInterpreter, setLine, setState, setText, setToken, setTokenFactory, setType, skip, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### public AbstractLexer(CharStream input)